// Next.js API route support: https://nextjs.org/docs/api-routes/introduction
import { QueryError, RowDataPacket } from 'mysql2';
import type { NextApiRequest, NextApiResponse } from 'next';
import Init from "../../server/db/connect";

type Data = {
    QueryError: string,
    RowDataPacket: string
}

export default function handler(
  req: NextApiRequest,
  res: NextApiResponse<Data>
) {
    if (req.method === 'POST') {
        Init.query('SELECT 1 + 1 AS solution', (err: QueryError, rows: RowDataPacket[]) => {
            console.log('The solution is: ', rows[0]['solution']);
        });
      }
}
